lua-rrd_1.5.5-4_amd64.deb


Advertisement

Description

lua-rrd - time-series data storage and display system (Lua interfaces)

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename lua-rrd_1.5.5-4_amd64.deb
Package name lua-rrd
Package version 1.5.5
Package release 4
Package architecture amd64
Package type deb
Category interpreters
Homepage http://oss.oetiker.ch/rrdtool/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 11.75 KB
Installed size 107.00 KB
The Round Robin Database Tool (RRDtool) is a system to store and display
time-series data (e.g. network bandwidth, machine-room temperature,
server load average). It stores the data in Round Robin Databases (RRDs),
a very compact way that will not expand over time. RRDtool processes the
extracted data to enforce a certain data density, allowing for useful
graphical representation of data values.
This package contains the Lua interfaces to RRDs.

Alternatives

Package Version Architecture Repository
lua-rrd_1.5.5-4_i386.deb 1.5.5 i386 Ubuntu Main
lua-rrd - - -

Requires

Name Value
libc6 >= 2.4
librrd4 >= 1.4~rc2

Provides

Name Value
liblua5.1-rrd0 -
lua5.1-rrd -
lua5.2-rrd -
lua5.3-rrd -

Replaces

Name Value
liblua5.1-rrd0 << 1.5.4-3~

Download

Type URL
Mirror archive.ubuntu.com
Binary Package lua-rrd_1.5.5-4_amd64.deb
Source Package rrdtool

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install lua-rrd deb package:
    # sudo apt-get install lua-rrd

Files

Path
/usr/lib/x86_64-linux-gnu/liblua5.1-rrd.so.0
/usr/lib/x86_64-linux-gnu/liblua5.1-rrd.so.0.0.0
/usr/lib/x86_64-linux-gnu/liblua5.2-rrd.so.0
/usr/lib/x86_64-linux-gnu/liblua5.2-rrd.so.0.0.0
/usr/lib/x86_64-linux-gnu/liblua5.3-rrd.so.0
/usr/lib/x86_64-linux-gnu/liblua5.3-rrd.so.0.0.0
/usr/lib/x86_64-linux-gnu/lua/5.1/rrd.so
/usr/lib/x86_64-linux-gnu/lua/5.2/rrd.so
/usr/lib/x86_64-linux-gnu/lua/5.3/rrd.so
/usr/share/doc/lua-rrd/CONTRIBUTORS.gz
/usr/share/doc/lua-rrd/NEWS.Debian.gz
/usr/share/doc/lua-rrd/NEWS.gz
/usr/share/doc/lua-rrd/changelog.Debian.gz
/usr/share/doc/lua-rrd/copyright
/usr/share/lintian/overrides/lua-rrd

Changelog

2016-03-23 - Jean-Michel Vourgère <nirgal@debian.org>
rrdtool (1.5.5-4) unstable; urgency=high
* Expanded list of files to install. (Closes: #807024)
* New patch tests_noverbose to disable verbose in tests. This was polluting
the output, make tests fails, and FTBFS. (Closes: #818156)
* Bumped policy to 3.9.7: No change required.
2015-12-20 - Jean-Michel Vourgère <nirgal@debian.org>
rrdtool (1.5.5-3) unstable; urgency=high
* Updated d/patch/series file. (Closes: #805391)
2015-12-20 - Jean-Michel Vourgère <nirgal@debian.org>
rrdtool (1.5.5-2) unstable; urgency=high
* New patch/mmap_memcpy_overlap to fix FTBFS on mips. Thanks to
Niko Tyni. (Closes: #805391)
2015-11-16 - Jean-Michel Vourgère <nirgal@debian.org>
rrdtool (1.5.5-1) unstable; urgency=medium
* New upstream release:
- Drop patches 7digit and pm_noexec: Applied upstream.
* Adjusted rrd-lua.lintian-override for lua5.3.
* Dropped rrdtool-dbg lintian-overrides, fixed in lintian.
2015-08-17 - Jean-Michel Vourgère <nirgal@debian.org>
rrdtool (1.5.4-5) unstable; urgency=medium
* Removed Multi-Arch:no. (Closes: #795646)
* Added support for lua5.3.
* Removed rrdcached from hurd since it uses 'Not implemented' functions.
* Reduced build and -dev dependencies.
2015-08-14 - Jean-Michel Vourgère <nirgal@debian.org>
rrdtool (1.5.4-4) unstable; urgency=medium
* Allowed dh_install to proceed when python-setuptools is not installed.
* Added patch 390x_first_week_day to fix unit tests on 390x architectures.
* Enabled Multi-Arch. Partial support due to #117142. Lintian override for
python debug symbols (See #795275).
* Enabled perl-shared unit tests.
* Refreshed lua patches headers: Applied-Upstream.
2015-08-12 - Jean-Michel Vourgère <nirgal@debian.org>
rrdtool (1.5.4-3) unstable; urgency=medium
* Added new patches to support lua5.2. Thanks Yolanda Robla.
* Switched building of lua, perl, python and ruby bindings packages to use
debhelper specific buildsystems:
- Created packages lua-rrd and lua-rrd-dev, providing support for both
lua 5.1 and 5.2. The old packages are now transitional. Added
dependency on dh_lua.
- Adjusted cleaning, installing and testing to these systems.
* Force LC_ALL during the build; Re-enabled rpn2 unit test.
* Enabled rrdcached unit test.
* d/control: Dropped pre-Jessie transitions.
* Dropped unused lintian overrides.
2015-08-09 - Jean-Michel Vourgère <nirgal@debian.org>
rrdtool (1.5.4-2) unstable; urgency=low
* Force UTF-8 encoding and UTC timezone on build.
* patches/breaks-long-man-lines: Force UTF-8.
* New patch 7digits to limit precision in unit test success checks.

See Also

Package Description
lua5.1-doc_5.1.5-8ubuntu1_all.deb Documentation for the Lua language version 5.1
lua5.2-doc_5.2.4-1ubuntu1_all.deb Documentation for the Lua language version 5.2
lua5.2_5.2.4-1ubuntu1_amd64.deb Simple, extensible, embeddable programming language
lupin-casper_0.57_all.deb Add support for loop-mount installations to casper
lupin-support_0.57_amd64.deb Support files for loop-mount installations
lvm2_2.02.133-1ubuntu10_amd64.deb Linux Logical Volume Manager
lxc-common_2.0.0-0ubuntu2_amd64.deb Linux Containers userspace tools (common tools)
lxc-dev_2.0.0-0ubuntu2_amd64.deb Linux Containers userspace tools (development)
lxc-templates_2.0.0-0ubuntu2_amd64.deb Linux Containers userspace tools (templates)
lxc-tests_2.0.0-0ubuntu2_amd64.deb Linux Containers userspace tools (test binaries)
lxc1_2.0.0-0ubuntu2_amd64.deb Linux Containers userspace tools
lxc2_2.0.0-0ubuntu4_all.deb Container hypervisor based on LXC - metapackage
lxc_2.0.0-0ubuntu2_all.deb Transitional package for lxc1
lxcfs_2.0.0-0ubuntu2_amd64.deb FUSE based filesystem for LXC
lxd-client_2.0.0-0ubuntu4_amd64.deb Container hypervisor based on LXC - client
Advertisement
Advertisement